var uri = 'http://www.mainichi-msn.co.jp/kurashi/shumi/uchi/';
var comicUri;
var number;
var latestNumber;
var httpReq;
var textDoc;
var timeStamp;
var display;

// Initialize widget
function init() {
	if (window.widget) {
		widget.onshow = onShow;
	}

	timeStamp = 0;
	latestNumber = 0;
	display = 'short';
	lastTime = 'Thu, 01 Jan 1970 00:00:00 GMT';
}

function onShow() {
	getHTML();
}


function stretch() {
	switch (display) {
		case 'short':
			document.getElementById('comic').style.height = '610px';
			document.getElementById('body').style.height = '445px';
			document.getElementById('foot').style.top = '660px';
			document.getElementById('view').innerText = 'CLOSE';
			display = 'long';
			break;
		case 'long':
			document.getElementById('comic').style.height = '165px';
			document.getElementById('body').style.height = '0px';
			document.getElementById('foot').style.top = '215px';
			document.getElementById('view').innerText = 'OPEN';
			display = 'short';
			break;
		default:
			break;
	}
}

function getHTML() {
	var lastGetTime;
	var dd = new Date();
	dd.setTime(timeStamp);
	lastGetTime = dd.toUTCString();

	httpReq = new XMLHttpRequest();
	httpReq.open('GET', uri, false);
	httpReq.setRequestHeader('If-Modified-Since', lastGetTime);
	httpReq.send(null);

	if (httpReq.status == 200) {
		textDoc = httpReq.responseText;
		timeStamp = (new Date).getTime();

		if (textDoc.match(/src=\"\/kurashi\/shumi\/uchi\/news\/images\/(\w+)\.gif\"/)) {
			number = RegExp.$1;
			comicUri = uri + "news/images/" + number + '.gif';
			if (number != latestNumber) {
				document.getElementById('comic').setAttribute('src', comicUri);
				latestNumber = number;
			}
		}
	}
	document.getElementById('uri').innerText = comicUri;
	document.getElementById('status').innerText = httpReq.status;
	document.getElementById('number').innerText = number;
	document.getElementById('latestNumber').innerText = latestNumber;
}

function openWWW() {
	if (window.widget) {
		widget.openURL(uri);
	} else {
		window.location.href = uri;
	}
}

function mousemove() {
	document.getElementById('view').style.display = 'block';
	document.getElementById('reload').style.display = 'block';
}

function mouseexit() {
	document.getElementById('view').style.display = 'none';
	document.getElementById('reload').style.display = 'none';
}
